Subject: bug#70432: closed (Re: bug#70432: 30.0.50; C-h for help not working with C-h k)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Apr 2024 09:15:12 +0000

Your bug report

#70432: 30.0.50; C-h for help not working with C-h k

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70432: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70432
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70432: 30.0.50; C-h for help not working with C-h k
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 20 Apr 2024 12:13:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 18 Apr 2024 17:19:06 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Stefan Monnier <[email-masked]>
> > Cc: Gerd Möllmann <[email-masked]>,  Dmitry
> >  Gutov
> >  <[email-masked]>,  [email-masked]
> > Date: Thu, 18 Apr 2024 09:51:54 -0400
> > 
> > > Dmitry and Stefan, any better ideas?
> > >
> > > diff --git a/lisp/help.el b/lisp/help.el
> > > index d4e39f0..e6117ec 100644
> > > --- a/lisp/help.el
> > > +++ b/lisp/help.el
> > > @@ -1049,6 +1049,9 @@ help--read-key-sequence
> > >    (let ((enable-disabled-menus-and-buttons t)
> > >          (cursor-in-echo-area t)
> > >          (side-event nil)
> > > +        ;; Showing the list of key sequences makes no sense when they
> > > +        ;; asked about a key sequence.
> > > +        (echo-keystrokes-help nil)
> > >          saved-yank-menu)
> > >      (unwind-protect
> > >          (let (last-modifiers key-list)
> > 
> > Loos OK to me, tho maybe it should be the other way around: we should
> > bind it to non-nil around those places where we know it makes sense?
> 
> It's a user option, so I don't think that would be a good idea.

I've now installed a fix for this on master, and I'm therefore closing
this bug.

Subject: 30.0.50; C-h for help not working with C-h k
From: Gerd Möllmann <[email-masked]>
To: [email-masked]
Date: Wed, 17 Apr 2024 09:36:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce

1. emacs -Q
2. C-h k C-x t
3. display says Press C-h for help
4. C-h
=> C-x t C-h is undefined

In GNU Emacs 30.0.50 (build 1, x86_64-apple-darwin23.4.0, NS
 appkit-2487.50 Version 14.4.1 (Build 23E224)) of 2024-04-16 built on
 Pro.fritz.box
Repository revision: 1be21dd95388037cfb71474a1fbd2a7d3583a80a
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2487
System Description:  macOS 14.4.1